---
# BBOSS Copyright (C) 2018-2021, Laurent Marchelli
# SPDX-License-Identifier: GPL-3.0-or-later

#   Installation steps : (install)
#       1. prepare
#       2. download
#       3. configure
#    -> 4. activate

- name: Activate - Start and enable systemd service
  ansible.builtin.service:
    name: "{{ stack_project.name }}.service"
    state: started
    enabled: yes

- name: Activate - Reload & restart systemd service if required
  meta: flush_handlers

# Must be changed by community.docker.docker_container_info
- name: Activate Nexus - Get container info
  community.docker.docker_compose:
    project_name: "{{ stack_project.name }}"
    project_src: "{{ stack_project.path }}"
    files: docker-compose.yml
    state: present
    services: nexus
  register: _nexus_docker

- name: Activate Nexus - Save container IP address  # noqa 503
  ansible.builtin.set_fact:
    nexus_api_url: "{{ '{}://{}:{}/'.format(
      stackapp_service.nexus.schm,
      _nexus_docker.services.nexus[stack_project.name + '_nexus_1'].
        networks[stack_project.name].IPAddress,
      stackapp_service.nexus.port)
    }}"

- name: Configure Nexus - Delegate action to nexus_api
  ansible.builtin.import_role:
    name: nexus_api
    tasks_from: wait.yml